GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_pollset_vtable Struct Reference

`#include <pollset_posix.h>`

## Data Fields
void(* | add_fd )(grpc_pollset *pollset, struct grpc_fd *fd, int and_unlock_pollset)
void(* | del_fd )(grpc_pollset *pollset, struct grpc_fd *fd, int and_unlock_pollset)
void(* | maybe_work )(grpc_pollset *pollset, gpr_timespec deadline, gpr_timespec now, int allow_synchronous_callback)
void(* | kick )(grpc_pollset *pollset)
void(* | finish_shutdown )(grpc_pollset *pollset)
void(* | destroy )(grpc_pollset *pollset)

## Field Documentation

void(* grpc_pollset_vtable::add_fd)(grpc_pollset *pollset, struct grpc_fd *fd, int and_unlock_pollset)

void(* grpc_pollset_vtable::del_fd)(grpc_pollset *pollset, struct grpc_fd *fd, int and_unlock_pollset)

void(* grpc_pollset_vtable::destroy)(grpc_pollset *pollset)

void(* grpc_pollset_vtable::finish_shutdown)(grpc_pollset *pollset)

void(* grpc_pollset_vtable::kick)(grpc_pollset *pollset)

void(* grpc_pollset_vtable::maybe_work)(grpc_pollset *pollset, gpr_timespec deadline, gpr_timespec now, int allow_synchronous_callback)

The documentation for this struct was generated from the following file:

- src/core/iomgr/pollset_posix.h